button {
    display: inline-block;
    text-transform: uppercase;
    font-weight: 700;
    background: #5833d8;
    border: none;
    border-radius: 5px;
    color: white;
    padding: 12px 30px;
    cursor: pointer;
    letter-spacing: 1px;
    opacity: .9;
    transition: .2s;
    border: 2px solid transparent;
    min-width: 140px;

    &:hover {
        opacity: 1;
    }

    &.outline {
        border-color: #5833d8;
        color: #5833d8;
        background: transparent;

        &:disabled {
            background: transparent;
            pointer-events: none;
            border-color: #ccc;
            color: #ccc;
        }
    }

    &:focus,
    &:active {
        box-shadow: 0 0 5px 5px #5833d8;
        box-shadow: 0 0 0 5px rgba(88, 51, 216, 0.3);
    }

    &:disabled {
        background: #ccc;
        pointer-events: none;
    }
}
